function [EpochSpace] = epochs()
%Generate the enumerated set of epoch (the epoch space)

%Epoch variables 
GDP = -4:4:12;
GDP_multi=1:1:3;
HFOPrice = [3 8 15]; %USD/mBTU
MGOPrice = [5 15 25]; %USD/mBTU
LNGPrice = [4 8 12]; %USD/mBTU
FleetGrowth = [2 6 10];

%trade characteristics 
Eca = 0:10:30; % % of route in ECA zone
RouteLength = [4000 7000 12000]; %Route length in nautical miles 

n=1;
NoEpochs = length(FleetGrowth)*length(GDP)*length(GDP_multi)...
    *length(HFOPrice)*length(MGOPrice)*length(LNGPrice)...
    *length(Eca)*length(RouteLength); 


EpochSpace = zeros(NoEpochs,8);

for a=1:length(GDP)
    for b=1:length(GDP_multi)
            for d=1:length(HFOPrice)
            for e=1:length(MGOPrice)
            for f=1:length(LNGPrice)
            for g=1:length(Eca)
            for h=1:length(RouteLength)
            for i=1:length(FleetGrowth)
                   EpochSpace(n,1)=GDP(a);
                   EpochSpace(n,2)=GDP_multi(b);
                   EpochSpace(n,3)=HFOPrice(d);
                   EpochSpace(n,4)=MGOPrice(e);
                   EpochSpace(n,5)=LNGPrice(f);
                   EpochSpace(n,6)=Eca(g);
                   EpochSpace(n,7)=RouteLength(h);
                   EpochSpace(n,8)=FleetGrowth(i);
            end
            end
            end
            end
            end
        end
    end
end
                             



