function [Era_epochs] = Era()
%Function that generates era based on maunual selection of epochs (based
%on stakeholderes expectations)


NoEra = 3; %Number of eras to consider
NoEpochEra = 5; % No epochs in each era 
Era_epochs = zeros(NoEra,(NoEpochEra*3)); 


for i=1:NoEra
    if i==1 %Era one
        Era_epochs(i,1) = 6815;
        Era_epochs(i,2) = Era_epochs(i,1)+3;
        Era_epochs(i,3) = Era_epochs(i,1)+6;
        
        Era_epochs(i,4) = 6815;
        Era_epochs(i,5) = Era_epochs(i,4)+3;
        Era_epochs(i,6) = Era_epochs(i,4)+6;
        
        Era_epochs(i,7) = 7284;
        Era_epochs(i,8) = Era_epochs(i,7)+3;
        Era_epochs(i,9) = Era_epochs(i,7)+6;

        Era_epochs(i,10) = 7284;
        Era_epochs(i,11) = Era_epochs(i,10)+3;
        Era_epochs(i,12) = Era_epochs(i,10)+6;
        
        Era_epochs(i,13) = 7284;
        Era_epochs(i,14) = Era_epochs(i,13)+3;
        Era_epochs(i,15) = Era_epochs(i,13)+6;
        
    elseif i==2 %Era two
        Era_epochs(i,1) = 3900;
        Era_epochs(i,2) = Era_epochs(i,1)+3;
        Era_epochs(i,3) = Era_epochs(i,1)+6;
        
        Era_epochs(i,4) = 6816;
        Era_epochs(i,5) = Era_epochs(i,4)+3;
        Era_epochs(i,6) = Era_epochs(i,4)+6;
        
        Era_epochs(i,7) = 7292;
        Era_epochs(i,8) = Era_epochs(i,7)+3;
        Era_epochs(i,9) = Era_epochs(i,7)+6;

        Era_epochs(i,10) = 11648;
        Era_epochs(i,11) = Era_epochs(i,10)+3;
        Era_epochs(i,12) = Era_epochs(i,10)+6;
        
        Era_epochs(i,13) = 11658;
        Era_epochs(i,14) = Era_epochs(i,13)+3;
        Era_epochs(i,15) = Era_epochs(i,13)+6;
        
    elseif i==3 %Era three
        Era_epochs(i,1) = 6814;
        Era_epochs(i,2) = Era_epochs(i,1)+3;
        Era_epochs(i,3) = Era_epochs(i,1)+6;
        
        Era_epochs(i,4) = 6814;
        Era_epochs(i,5) = Era_epochs(i,4)+3;
        Era_epochs(i,6) = Era_epochs(i,4)+6;
        
        Era_epochs(i,7) = 6320;
        Era_epochs(i,8) = Era_epochs(i,7)+3;
        Era_epochs(i,9) = Era_epochs(i,7)+6;

        Era_epochs(i,10) = 3404;
        Era_epochs(i,11) = Era_epochs(i,10)+3;
        Era_epochs(i,12) = Era_epochs(i,10)+6;
        
        Era_epochs(i,13) = 3412;
        Era_epochs(i,14) = Era_epochs(i,13)+3;
        Era_epochs(i,15) = Era_epochs(i,13)+6;
    
    end %if 
end %for
end %function
