function [ EraUtility_trade1, EraUtility_trade2, EraUtility_trade3] = MultiEra(Utility,EraSpace)
%Calculates the avreage utility for the epochs in each era


[NoEpochs, NoDesign] = size(Utility);
[NoEras, NoEpochEra] = size(EraSpace); 
NoTrades = 3;

EraUtility_trade1 = zeros((NoEras),NoDesign);
EraUtility_trade2 = zeros((NoEras),NoDesign);
EraUtility_trade3 = zeros((NoEras),NoDesign);

for i = 1:NoEras

        EraUtility_trade1(i,:) = ((Utility(EraSpace(i,1),:))...
            +(Utility(EraSpace(i,4),:))+...
            (Utility(EraSpace(i,7),:))+(Utility(EraSpace(i,10),:))...
            +(Utility(EraSpace(i,13),:)))/5; 
        
        EraUtility_trade2(i,:) = ((Utility(EraSpace(i,2),:))+...
            (Utility(EraSpace(i,5),:))+...
            (Utility(EraSpace(i,8),:))+(Utility(EraSpace(i,11),:))+...
            (Utility(EraSpace(i,14),:)))/5; 
        
        EraUtility_trade3(i,:) = ((Utility(EraSpace(i,3),:))+...
            (Utility(EraSpace(i,6),:))+...
            (Utility(EraSpace(i,9),:))+(Utility(EraSpace(i,12),:))+...
            (Utility(EraSpace(i,15),:)))/5; 
end

end %function

