function [TradeSpace] = OPEX(tradespace)
% Calculates the non-fuel operational expenses, given in USD/day 

%Initillizing
opex=zeros(length(tradespace),1);

for i=1:length(tradespace)
    opex(i)=495*(tradespace(i,1)^0.334);
end

TradeSpace = [tradespace opex];

end

